Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
almodeus

[Xin chỉnh sửa giúp] Lỗi lisp tính diện tích DTM.lsp nhờ các mem xem giúp

Các bài được khuyến nghị

almodeus    0

Mình có cái lisp dtm.lsp nhưng không hiểu sao nó cứ báo "điểm bạn chọn không kín"...mặc dù mình đã vẽ thử một rectangle muh vẫn báo lỗi không kín...không hiểu sao nữa...


(defun c:dtm()

(defun ctext (diem gt / lst)

(setq lst

(list

(cons 0 "TEXT")

(cons 1 gt)

(cons 10 diem)

(cons 40 (getdist p "\nChieu cao chu: "))

)

)

(entmake lst)

)

(defun dtdoituong (entdt /)

(command ".area" "o" entdt)

(command ".erase" entdt "")

(getvar "area")

)

(defun getbound(p)

(setq ent (entlast))

(command ".boundary" "A" "B" "E" "I" "Y" "" p "")

(setq ent1 (entlast))

(cond

((eq ent ent1) nil)

(t ent1)

)

)

(princ "\nCADViet.com © 2007")

(setq

p (getpoint "\nVao diem can tinh dien tich: ")

entpl (getbound p)

)

(if entpl

(ctext p (rtos (dtdoituong entpl)))

(alert "Diem ban chon khong kin!")

)

(princ)

)

 

(princ "\ndtm - free lisp from www.cadviet.com")

(princ)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Phiền bạn post file kèm HCN đó lên diễn đàn thì mọi người mới biết chỗ mà giúp chứ hỉ :) Mà lisp này xuất xứ từ chính nơi đây, bạn có ở đâu ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
KHONGMINH    1

Mình có cái lisp dtm.lsp nhưng không hiểu sao nó cứ báo "điểm bạn chọn không kín"...mặc dù mình đã vẽ thử một rectangle muh vẫn báo lỗi không kín...không hiểu sao nữa...


(defun c:dtm()

(defun ctext (diem gt / lst)

(setq lst

(list

(cons 0 "TEXT")

(cons 1 gt)

(cons 10 diem)

(cons 40 (getdist p "\nChieu cao chu: "))

)

)

(entmake lst)

)

(defun dtdoituong (entdt /)

(command ".area" "o" entdt)

(command ".erase" entdt "")

(getvar "area")

)

(defun getbound(p)

(setq ent (entlast))

(command ".boundary" "A" "B" "E" "I" "Y" "" p "")

(setq ent1 (entlast))

(cond

((eq ent ent1) nil)

(t ent1)

)

)

(princ "\nCADViet.com © 2007")

(setq

p (getpoint "\nVao diem can tinh dien tich: ")

entpl (getbound p)

)

(if entpl

(ctext p (rtos (dtdoituong entpl)))

(alert "Diem ban chon khong kin!")

)

(princ)

)

 

(princ "\ndtm - free lisp from www.cadviet.com")

(princ)

 

 

 

 

Mình cũng đã từng bị như bạn,lý do ở đây là do polypine bạn chọn không kín.Bạn dùng lệnh BO để làm kín Polyline hay vùng(Regione) lại là sẽ OK.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

Mình có cái lisp dtm.lsp nhưng không hiểu sao nó cứ báo "điểm bạn chọn không kín"...mặc dù mình đã vẽ thử một rectangle muh vẫn báo lỗi không kín...không hiểu sao nữa...

 

................

(command ".boundary" "A" "B" "E" "I" "Y" "" p "")

................

Thử thay dòng :

(command ".boundary" "A" "B" "E" "I" "Y" "" p "")

bằng dòng :

(command "-boundary" "_A" "_I" "_N" "" "" p "")

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×